/* FONTS */
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Outfit:wght@100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --c-main: #FFA85B;
    --c-secondary: #B05E35;
    --c-tertiary: #793A1A;
    --c-dark-black: #1B1B1B;
    --c-light-black: #222222;
    --c-white: #EEEEEE;
    --c-grey: #6D6D6D;
    --c-dark-grey: #2F2E2E;
    --c-input-background: #363330;
    --c-input-text: #736D68;
}

html {
    scroll-behavior: smooth;
}

/* !BASES */
body {
    font-family: "Outfit", sans-serif;
    background: var(--c-dark-black);
    position: relative;
    min-height: 100vh;
	overflow-x: hidden;
}

a {
    all: unset;

    &:hover {
        cursor: pointer;
    }
}

li {
    list-style: none;
}

p {
    font-family: "Inter", sans-serif;
    font-weight: 200;
    font-size: 1.2rem;
    color: var(--c-white);
}

h1 {
    font-family: 'Inter', sans-serif;
    color: var(--c-white);
    font-weight: 500;
    font-size: 8vw;
    line-height: 95%;
    text-transform: uppercase;
}

h1 > span {
    font-family: 'Outfit', sans-serif;
    color: var(--c-main);
    font-weight: 700;
}

section h2 {
    font-family: 'Inter', sans-serif;
    color: var(--c-white);
    font-weight: 400;
    font-size: 3.5rem;
    line-height: 95%;
    text-transform: uppercase;
    margin: 1.5rem 0;
}

section h2.sub {
    font-size: 3rem;
}

section h2 > span {
    font-family: 'Outfit', sans-serif;
    color: var(--c-main);
    font-weight: 700;
}

section h2.reverse {
    font-family: 'Outfit', sans-serif;
    color: var(--c-white);
    font-weight: 700;
    line-height: 95%;
    text-transform: uppercase;
    margin: 1.5rem 0;
}

section h2.reverse > span {
    color: var(--c-main);
    font-weight: 400;
}

section h3 {
    font-family: 'Outfit', sans-serif;
    text-transform: uppercase;
    color: var(--c-white);
    letter-spacing: 3px;
    font-weight: 500;
    font-size: 1.5rem;
}

.mobile {
    display: none;
}


/* CUSTOM PROPERTIES*/
header .header .mobileNav.hidden {
    pointer-events: none;
    transform: translateY(-100%);
}

header .header h2.logo a img,
footer .footer h2.logo a img {
    width: 6.5rem;
    object-fit: cover;
}

header .header h2.logo a span,
footer .footer h2.logo a span {
    color: var(--c-main);
}

span.subTitle {
    color: var(--c-secondary);
    font-family: 'Outfit', sans-serif;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 1.1rem;
    margin-bottom: 1rem;
    letter-spacing: 2px;
}

a.seeMore {
    font-family: 'Outfit', sans-serif;
    text-transform: uppercase;
    color: var(--c-secondary);
    border: solid 2px var(--c-secondary);
    padding: 5px 15px;
    transition: all .3s ease-in-out;
}

a.seeMore:hover {
    background: var(--c-secondary);
    color: var(--c-dark-black);
}



/* !HEADER */
header {
    width: 100%;
    height: 12.5vh;
    color: var(--c-white);
    background: rgba(27, 27, 27, .9);
    backdrop-filter: blur(10px);
    padding: 0 14vw;
    position: sticky;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    border-bottom: solid 1px var(--c-dark-grey);
    z-index: 999;
}

header .header {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--c-white);
}

header .header nav ul.navBar {
    display: flex;
}

header .header nav ul.navBar li a {
    text-transform: uppercase;
    padding: 10px 25px;
    font-weight: 400;
    transition: all .3s ease-out;
    white-space: pre;
}

header .header nav ul.navBar li a:hover {
    color: var(--c-main);
}

header .header a.devis {
    color: var(--c-main);
    text-transform: uppercase;
    padding: 5px 20px;
    border: solid 2px var(--c-main);
    transition: all .3s ease-in-out;
}

header .header a.devis:hover {
    background: var(--c-main);
    color: var(--c-dark-black);
}

header .header .burgerMenu {
    width: 50px;
    aspect-ratio: 1/1;
    justify-content: center;
    align-items: center;
}

header .header .burgerMenu svg {
    width: 60%;
    height: 60%;
}

header .header .mobileNav {
    width: 100%;
    height: 100vh;
    position: absolute;
    top: 0;
    left: 0;
    padding: 4rem;
    background: var(--c-dark-black);
    z-index: 99;
    pointer-events: initial;
    display: flex;
    flex-direction: column;
    transform: translateY(0);
    transition: transform .3s cubic-bezier(.35,0,.42,1);
}

header .header .mobileNav ul li {
    padding: 1rem 0;
}

header .header .mobileNav ul li a {
    text-transform: uppercase;
    font-weight: 400;
    font-size: 1.5rem;
    transition: all .5s ease-in-out;
    white-space: pre;
}

header .header .mobileNav ul li a:hover {
    color: var(--c-main);
}

/* !FOOTER */
footer {
    width: 100%;
    background: var(--c-light-black);
    border-top: solid 1.5px var(--c-secondary);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 14vw;
}

footer .footer {
    width: 100%;
    max-width: 1280px;
    height: 100%;
    padding: 5vh 0;
    display: flex;
    justify-content: space-between;
    color: var(--c-white);
}

footer .footer .left {
    width: 50%;
}

footer .footer .left p {
    margin: 1rem 10rem 1rem 0;
    font-size: 1rem;
}

footer .footer .left ul.info li {
    margin: .5rem 0;
    display: flex;
    align-items: center;
}

footer .footer .left ul.info li a {
    font-weight: 200;
    color: var(--c-grey);
    margin-left: 1rem;
}


footer .footer .right {
    width: calc(100% / 3);
}

footer .footer .right h3 {
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 3px;
    white-space: pre;
}

footer .footer .right ul {
    margin: 1rem 0;
}

footer .footer .right ul.services li {
    list-style: initial;
    margin: .2rem 0 .2rem 1rem;
}

footer .footer .right ul.services li a {
    font-weight: 200;
}

footer .footer .right ul.reseaux {
    display: flex;
}

footer .footer .right ul.reseaux li {
    margin-right: 1rem;
}

footer .footer .right ul.reseaux li a > svg > * {
    transition: all .3s ease-in-out;
}

footer .footer .right ul.reseaux li a:hover > svg > * {
    stroke: var(--c-tertiary);
}

footer hr {
    width: 100%;
    border-color: var(--c-dark-grey);
    opacity: .3;
    margin: .5rem 2vw 1.5rem;
}

footer .bottom {
    width: 100%;
    max-width: 1280px;
    height: 100%;
    padding: 5vh 0;
    display: flex;
    justify-content: space-between;
    color: var(--c-white);
}

footer .bottom p {
    font-size: 1rem;
}

footer .bottom .left {
    display: flex;
}


footer .bottom .left a {
    font-family: "Inter", sans-serif;
    font-weight: 200;
    padding-left: 20px;
}




/* !MOBILE RESPONSIVE */
@media screen and (max-width: 992px) {
    .mobile {
        display: block;
    }

    section h2 {
        font-size: 2.5rem;
        line-height: 110%;
        margin: 1.5rem 0;
    }

    section h2.sub {
        font-size: 2.25rem;
    }

    p {
        font-size: 1rem;
    }

    span.subTitle {
        font-size: .9rem;
        white-space: pre;
    }
  
  	.recent .card span.subTitle {
      white-space: initial;
  }

    header {
        padding: 0 7vw;
    }

    header .header .desktop {
        display: none;
    }

    header .header .mobile {
        display: flex;
    }

    footer {
        padding: 0 7vw;
    }

    footer .footer,
    footer .bottom,
    footer .bottom .left {
        flex-direction: column;
    }

    footer .footer {
        padding-bottom: 0;
    }

    footer .footer .left {
        width: 100%;
    }

    footer .footer .left p {
        margin: 1rem 0;
    }

    footer .footer .right {
        margin-top: 1rem;
    }

    footer .footer .right .services li a {
        white-space: pre;
    }

    footer .bottom {
        padding-top: 0;
    }

    footer .bottom .left a {
        padding: 1rem 0;
    }
}